%define    svn_date 20080203

Name:           kaudiocreator
Version:        1.2
Release:        0.2.%{svn_date}%{?dist}
# FIXME/TODO: find proper summary
Summary:        Audio ripper

Group:          Applications/Multimedia
# FIXME/TODO: check license
License:        GPLv2
URL:            http://extragear.kde.org

# Kevin Kofler checked out a version with documentation and translations
Source0:        http://repo.calcforge.org/f9/kde4-tarballs/%{name}-%{version}-svn.tar.bz2
# SVN checkout:
# svn export svn://anonsvn.kde.org/home/kde/trunk/extragear/multimedia/kaudiocreator
# mv kaudiocreator kaudiocreator-%{version}-%{svn_revision}
# tar cjf kaudiocreator-%{version}-%{svn_revision}.tar.bz2 kaudiocreator-%{version}-%{svn_revision}
# Source0:        kaudiocreator-%{version}-svn.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  kdemultimedia-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils

# FIXME/TODO: find proper description
%description
Audio ripper

%prep
%setup -qn %{name}-%{version}-svn


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# validate desktop file
desktop-file-install --vendor "" \
    --dir %{buildroot}%{_datadir}/applications/kde4 --remove-key=Path \
    %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%find_lang kaudiocreator

%clean
rm -rf %{buildroot}

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC TODO
%{_kde4_bindir}/kaudiocreator
%{_kde4_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde4_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde4_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde4_iconsdir}/hicolor/*/apps/kaudiocreator.png
%{_kde4_appsdir}/kaudiocreator/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_datadir}/kde4/services/*
# FIXME/TODO: bad dir?
%{_docdir}/HTML/en/doc/*

%changelog
* Mon Feb 11 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.2.20080203
- use tarball created by Kevin Kofler
- switch to %%{svn_date} instead of svn revision

* Sat Feb 09 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.772551
- svn revision 772551
- make use of modified create_tarball.rb
- added BR: gettext desktop-file-utils
- added translations
- added verify of desktop file

* Sun Jan 27 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.767359
- svn revision 767359

* Thu Jan 17 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.762532
- svn revision 762532

* Mon Jan 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.761316
- svn revision 761316

* Sun Jan 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.760818
- svn revision 760818

* Sat Jan 05 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.757800
- svn revision 757800

* Wed Dec 12 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.747562
- Initial version kaudiocreator from extragear for KDE4
